#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paket.daftar'} </a>
	<li><a href="@{nonlelang.PaketPlCtr.edit(paket.pkt_id)}">&{'paket.edit_paket'} </a>
	<li class="active">&{'paket.pilih_pokja_pemilihan'}</li>
</ol>
#{alert /}
<div class="content">
<table class="table table-sm table-bordered">
   <tr>
        <th class="bgwarning" width="20%">Kode RUP</th>
        <th>${paket?.kodeRup}</th>
    </tr>
     <tr>
        <th class="bgwarning">K/L/PD<span class="warning"> *</span></th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bgwarning">Satuan Kerja<span class="warning"> *</span></th>
        <td>${paket?.namaSatker}</td>
    </tr>
   <tr>
       <th class="bgwarning" width="200">Nama Paket</th>
       <td>${paket.pkt_nama}</td>
   </tr>
</table>
<div class="card card-default">
  <div class="card-header">Pilih Pokja Pemilihan</div>
	<table class="table table-sm" id="tblPanitia">
	    <thead>
	    <tr>
	    	<th width="5" nowrap>&{'paket.pokja_pemilihan'}</th>
	        <th width="20%">&{'paket.no_sk'}</th>
	        <th>&{'paket.nama'}</th>
	        <th>&{'paket.tahun'}</th>
	        <th>&{'paket.anggota'}</th>
	        <th width="10">&{'paket.pilih'}</th>
	    </tr>
	    </thead>
	</table>
</div>
  #{backButton action:play.mvc.Router.reverse("nonlelang.PaketPlCtr.edit").add("id", paket.pkt_id).add("step", 2) /}
</div>

#{form @nonlelang.PaketPlCtr.submit_panitia(paket.pkt_id), id:'formPanitia'}
<input type="hidden" name="pntId" id="pntId" />
#{/form}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
    var table = $("#tblPanitia").DataTable({
        language: {
            "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
            processing:   "&{'menu.processing'}",
            "sSearch":       "&{'menu.ssearch'}",
            "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
            "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: "@{DataTableCtr.pilihPanitia(oldPanitia?.pnt_id)}",
        columns: [{visible:false}, null,null,null,null, {render: function (data, type, row){
            #{if oldPanitia != null}
                var reasonUrl = '@{nonlelang.PaketPlCtr.alasanGantiPokja(paket.pkt_id,oldPanitia.pnt_id,llsId)}';
                return '<div class="text-center"><a href="'+reasonUrl+'" class="badge  badge-secondary dialog pilih" value="'+row[0]+'">Pilih</a></div>';
            #{/if}
            #{else}
        	    return '<div class="text-center"><a href="javascript:void(0)" class="badge  badge-secondary pilih" value="'+row[0]+'">Pilih</a></div>';
            #{/else}
        }}]
    });
    $('#tblPanitia_filter input').unbind();
    $('#tblPanitia_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
            table.search(this.value).draw();
        }
    });
$(document).on("click", ".pilih", function(){
    #{if oldPanitia != null}
        var pntId = $(this).attr('value');
        var url = $(this).attr('href');

        url = url + '&panitiaId='+pntId;
        $(this).attr('href',url);

        return true;
    #{/if}
    #{else}
        $('#pntId').attr('value',$(this).attr('value'));
        $('#formPanitia').submit();
    #{/else}
})
</script>
#{/set}